MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
delegates::IDelegateMYGUI_SUFFIX Class Referenceabstract

`#include <MyGUI_DelegateImplement.h>`

## Public Member Functions
virtual | ~IDelegateMYGUI_SUFFIX ()
virtual bool | isType (const std::type_info &_type)=0
virtual void | invoke (MYGUI_PARAMS)=0
virtual bool | compare (IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS *_delegate) const =0
virtual bool | compare (IDelegateUnlink *_unlink) const

## Detailed Description

Definition at line 24 of file MyGUI_DelegateImplement.h.

## Constructor & Destructor Documentation

virtual delegates::IDelegateMYGUI_SUFFIX::~IDelegateMYGUI_SUFFIX | ( |  | ) |
| inline virtual

Definition at line 27 of file MyGUI_DelegateImplement.h.

## Member Function Documentation

virtual bool delegates::IDelegateMYGUI_SUFFIX::compare | ( | IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS * | _delegate | ) | const
| pure virtual

virtual bool delegates::IDelegateMYGUI_SUFFIX::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Definition at line 31 of file MyGUI_DelegateImplement.h.

virtual void delegates::IDelegateMYGUI_SUFFIX::invoke | ( | MYGUI_PARAMS |  | ) |
| pure virtual

virtual bool delegates::IDelegateMYGUI_SUFFIX::isType | ( | const std::type_info & | _type | ) |
| pure virtual

The documentation for this class was generated from the following file:

- MyGUI_DelegateImplement.h